Package org.springframework.http.client

# Class ReactorNettyClientRequestFactory

java.lang.Object
org.springframework.http.client.ReactorClientHttpRequestFactory
org.springframework.http.client.ReactorNettyClientRequestFactory

All Implemented Interfaces:
  `org.springframework.context.Lifecycle`, `org.springframework.context.Phased`, `org.springframework.context.SmartLifecycle`, `ClientHttpRequestFactory`

@Deprecated(since="6.2", forRemoval=true) public class ReactorNettyClientRequestFactory extends ReactorClientHttpRequestFactory
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of the renamed `ReactorClientHttpRequestFactory`
Reactor-Netty implementation of `ClientHttpRequestFactory`.

Since:
  6.1
Author:
  Arjen Poutsma, Juergen Hoeller

## Field Summary

### Fields inherited from interface org.springframework.context.SmartLifecycle

`DEFAULT_PHASE`

## Constructor Summary

Constructors
Constructor
Description
`ReactorNettyClientRequestFactory()`
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.
`ReactorNettyClientRequestFactory(ReactorResourceFactory resourceFactory, Function<reactor.netty.http.client.HttpClient,reactor.netty.http.client.HttpClient> mapper)`
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.
`ReactorNettyClientRequestFactory(reactor.netty.http.client.HttpClient httpClient)`
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.

## Method Summary

### Methods inherited from class org.springframework.http.client.ReactorClientHttpRequestFactory

`createRequest, getPhase, isRunning, setConnectTimeout, setConnectTimeout, setExchangeTimeout, setExchangeTimeout, setReadTimeout, setReadTimeout, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.context.SmartLifecycle

`isAutoStartup, stop`

## Constructor Details

### ReactorNettyClientRequestFactory

public ReactorNettyClientRequestFactory()
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.

See Also:
  - `ReactorClientHttpRequestFactory()`

### ReactorNettyClientRequestFactory

public ReactorNettyClientRequestFactory(reactor.netty.http.client.HttpClient httpClient)
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.

See Also:
  - `ReactorClientHttpRequestFactory(HttpClient)`

### ReactorNettyClientRequestFactory

public ReactorNettyClientRequestFactory(ReactorResourceFactory resourceFactory, Function<reactor.netty.http.client.HttpClient,reactor.netty.http.client.HttpClient> mapper)
Deprecated, for removal: This API element is subject to removal in a future version.
Superseded by `ReactorClientHttpRequestFactory`.

See Also:
  - `ReactorClientHttpRequestFactory(ReactorResourceFactory, Function)`